%define module sqlalchemy-migrate
# Currently not ported to python3
%global with_python3 0

Name:           python-%{module}
Version:        0.8.2
Release:        %mkrel 1
Summary:        Database schema migration for SQLAlchemy

Group:          Development/Python
License:        MIT
URL:            http://pypi.python.org/pypi/sqlalchemy-migrate
Source0:        http://pypi.python.org/packages/source/s/%{module}/%{module}-%{version}.tar.gz

BuildRequires:  python-devel
BuildRequires:  python-setuptools
BuildRequires:	python-sqlalchemy
BuildRequires:	python-nose
BuildRequires:	python-sphinx
BuildRequires:	python-decorator

Requires:       python-nose >= 0.10
Requires:       python-sqlalchemy >= 0.5
Requires:       python-setuptools
Requires:       python-decorator

%if %{?with_python3}
BuildRequires:  python3-devel
BuildRequires:  python3-setuptools
BuildRequires:	python3-sqlalchemy
BuildRequires:	python3-nose
BuildRequires:	python3-sphinx
BuildRequires:	python3-decorator

Requires:       python3-nose >= 0.10
Requires:       python3-sqlalchemy >= 0.5
Requires:       python3-setuptools
Requires:       python3-decorator
%endif


Buildarch:	noarch

%description
Inspired by Ruby on Rails' migrations, Migrate provides a way to deal with
database schema changes in SQLAlchemy projects.

Migrate extends SQLAlchemy to have database changeset handling. It provides a
database change repository mechanism which can be used from the command line as
well as from inside python code.

%if 0%{?with_python3}
%package -n python3-%{module}
Summary:        Database schema migration for SQLAlchemy

%description -n python3-%{module}
Inspired by Ruby on Rails' migrations, Migrate provides a way to deal with
database schema changes in SQLAlchemy projects.

Migrate extends SQLAlchemy to have database changeset handling. It provides a
database change repository mechanism which can be used from the command line as
well as from inside python code.
types.
%endif # with_python3

%prep
%setup -q -n %module-%version
%if 0%{?with_python3}
rm -rf %{py3dir}
cp -a . %{py3dir}
find %{py3dir} -name '*.py' | xargs sed -i '1s|^#!python|#!%{__python3}|'
%endif # with_python3


%build
CFLAGS="$RPM_OPT_FLAGS" %{__python} setup.py build

%if 0%{?with_python3}
pushd %{py3dir}
CFLAGS="$RPM_OPT_FLAGS" %{__python3} setup.py build
popd
%endif # with_python3 

%install
# Must do the subpackages' install first because the scripts in /usr/bin are 
# overwritten with every setup.py install (and we want the python2 version 
# to be the default for now). 
%if 0%{?with_python3}
pushd %{py3dir}
%{__python3} setup.py install --skip-build --root %{buildroot}
popd
%endif # with_python3  
%{__python} setup.py install --root $RPM_BUILD_ROOT --install-purelib=%{python_sitearch}


%files 
%doc PKG-INFO README.rst doc
%{_bindir}/migrate*
%{python_sitearch}/*
%if 0%{?with_python3}
%files -n python3-%{module}
%doc PKG-INFO README.rst doc
%{python3_sitearch}/*
%endif # with_python3   





%changelog
* Tue Dec 10 2013 joequant <joequant> 0.8.2-1.mga4
+ Revision: 556178
- update source file
- update to 0.8.2

* Tue Oct 22 2013 umeabot <umeabot> 0.7.2-4.mga4
+ Revision: 544210
- Mageia 4 Mass Rebuild

* Tue Oct 15 2013 pterjan <pterjan> 0.7.2-3.mga4
+ Revision: 499435
- Rebuild to add different pythonegg provides for python 2 and 3

* Sun Jan 13 2013 umeabot <umeabot> 0.7.2-2.mga3
+ Revision: 379546
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sat Sep 08 2012 philippem <philippem> 0.7.2-1.mga3
+ Revision: 290051
- New upstream release 0.7.2

* Mon Jul 04 2011 philippem <philippem> 0.7.1-1.mga2
+ Revision: 118419
- imported package python-sqlalchemy-migrate


* Mon Jul 04 2011 Philippe Makowski <philippem@mageia.org> 
- new upstream
- import into Mageia

* Wed Jun 08 2011 Antoine Ginies <aginies@mandriva.com> 0.6.1-1mdv2011.0
+ Revision: 683270
- import python-sqlalchemy-migrate


